Bug 19584 - Inventory: Trivial interface improvements
Summary: Inventory: Trivial interface improvements
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks:
 
Reported: 2017-11-07 14:08 UTC by Marcel de Rooy
Modified: 2018-06-04 20:15 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19584: Replace label Status by Not for loan (1.03 KB, patch)
2017-11-07 14:10 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 19584: Replace label Status by Not for loan (1.09 KB, patch)
2017-11-08 13:12 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 19584: Check compare barcodes box when uploading barcodes (2.44 KB, patch)
2017-11-08 13:12 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 19584: Check compare barcodes box when uploading barcodes (7.69 KB, patch)
2017-12-12 15:14 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 19584: Check compare barcodes box when uploading barcodes (7.70 KB, patch)
2018-01-16 01:39 UTC, Grace
Details | Diff | Splinter Review
Bug 19584: Replace label Status by Not for loan (1.11 KB, patch)
2018-02-15 13:34 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 19584: Check compare barcodes box when uploading barcodes (2.66 KB, patch)
2018-02-15 13:34 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 19584: Replace label Status by Not for loan (1.12 KB, patch)
2018-03-25 19:02 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 19584: Check compare barcodes box when uploading barcodes (2.68 KB, patch)
2018-03-25 19:02 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2017-11-07 14:08:18 UTC

    
Comment 1 Marcel de Rooy 2017-11-07 14:10:51 UTC Comment hidden (obsolete)
Comment 2 Marcel de Rooy 2017-11-08 13:12:29 UTC
Created attachment 69017 [details] [review]
Bug 19584: Replace label Status by Not for loan

Status does not tell me that this is the Not for loan column.
Trivial edit.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 3 Marcel de Rooy 2017-11-08 13:12:33 UTC
Created attachment 69018 [details] [review]
Bug 19584: Check compare barcodes box when uploading barcodes

This patch makes two trivial changes in the inventory interface:

[1] If you have uploaded a barcode file, the compare barcodes checkbox is
automatically checked. In most cases this will be the option the user wants.
The compare will report missed items on the shelf.
[2] If the compare barcodes checkbox is checked, the Skip items on loan-
checkbox is automatically checked. This again is often desirable. If you
compare, you normally are not interested in seeing items reported missing
while they are checked out.

Test plan:
[1] Upload a barcode file on inventory. Is the compare checked?
[2] Toggle compare. Does 'skip items on loan' change accordingly?

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Marcel de Rooy 2017-12-12 15:14:14 UTC
Created attachment 69739 [details] [review]
Bug 19584: Check compare barcodes box when uploading barcodes

This patch makes two trivial changes in the inventory interface:

[1] If you have uploaded a barcode file, the compare barcodes checkbox is
automatically checked. In most cases this will be the option the user wants.
The compare will report missed items on the shelf.
[2] If the compare barcodes checkbox is checked, the Skip items on loan-
checkbox is automatically checked. This again is often desirable. If you
compare, you normally are not interested in seeing items reported missing
while they are checked out.

Test plan:
[1] Upload a barcode file on inventory. Is the compare checked?
[2] Toggle compare. Does 'skip items on loan' change accordingly?

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Marcel de Rooy 2017-12-12 15:15:52 UTC
Rebased for template footer moves
Comment 6 Grace 2018-01-16 01:39:39 UTC
Created attachment 70531 [details] [review]
Bug 19584: Check compare barcodes box when uploading barcodes

This patch makes two trivial changes in the inventory interface:

[1] If you have uploaded a barcode file, the compare barcodes checkbox is
automatically checked. In most cases this will be the option the user wants.
The compare will report missed items on the shelf.
[2] If the compare barcodes checkbox is checked, the Skip items on loan-
checkbox is automatically checked. This again is often desirable. If you
compare, you normally are not interested in seeing items reported missing
while they are checked out.

Test plan:
[1] Upload a barcode file on inventory. Is the compare checked?
[2] Toggle compare. Does 'skip items on loan' change accordingly?

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Grace Smyth <gracesmythh@gmail.com>
Comment 7 Marcel de Rooy 2018-02-15 13:34:39 UTC
Created attachment 71656 [details] [review]
Bug 19584: Replace label Status by Not for loan

Status does not tell me that this is the Not for loan column.
Trivial edit.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Grace Smyth <gracesmythh@gmail.com>
Comment 8 Marcel de Rooy 2018-02-15 13:34:43 UTC
Created attachment 71657 [details] [review]
Bug 19584: Check compare barcodes box when uploading barcodes

This patch makes two trivial changes in the inventory interface:

[1] If you have uploaded a barcode file, the compare barcodes checkbox is
automatically checked. In most cases this will be the option the user wants.
The compare will report missed items on the shelf.
[2] If the compare barcodes checkbox is checked, the Skip items on loan-
checkbox is automatically checked. This again is often desirable. If you
compare, you normally are not interested in seeing items reported missing
while they are checked out.

Test plan:
[1] Upload a barcode file on inventory. Is the compare checked?
[2] Toggle compare. Does 'skip items on loan' change accordingly?

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Grace Smyth <gracesmythh@gmail.com>
Comment 9 Marcel de Rooy 2018-02-15 13:34:58 UTC
Rebased
Comment 10 Katrin Fischer 2018-03-25 19:02:00 UTC
Created attachment 73255 [details] [review]
Bug 19584: Replace label Status by Not for loan

Status does not tell me that this is the Not for loan column.
Trivial edit.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Grace Smyth <gracesmythh@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 11 Katrin Fischer 2018-03-25 19:02:22 UTC
Created attachment 73256 [details] [review]
Bug 19584: Check compare barcodes box when uploading barcodes

This patch makes two trivial changes in the inventory interface:

[1] If you have uploaded a barcode file, the compare barcodes checkbox is
automatically checked. In most cases this will be the option the user wants.
The compare will report missed items on the shelf.
[2] If the compare barcodes checkbox is checked, the Skip items on loan-
checkbox is automatically checked. This again is often desirable. If you
compare, you normally are not interested in seeing items reported missing
while they are checked out.

Test plan:
[1] Upload a barcode file on inventory. Is the compare checked?
[2] Toggle compare. Does 'skip items on loan' change accordingly?

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>

Signed-off-by: Grace Smyth <gracesmythh@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Jonathan Druart 2018-03-26 20:35:32 UTC
Pushed to master for 18.05, thanks to everybody involved!